For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • GETList subscriptions
      • POSTCreate subscription
      • GETGet subscription
      • DELDelete subscription
      • PATCHUpdate subscription
  • Event Reference
API ReferenceEvent Subscriptions

Get subscription

GET
https://api.plextera.com/api/public/v1/event-subscriptions/:subscriptionId
GET
/api/public/v1/event-subscriptions/:subscriptionId
$curl https://api.plextera.com/api/public/v1/event-subscriptions/subscriptionId \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "id": "string",
3 "status": "active",
4 "endpointUrl": "string",
5 "eventTypes": [
6 "document-insights.extraction.completed"
7 ],
8 "filters": {
9 "workflowId": "claims-loader"
10 },
11 "createdAt": "2024-01-15T09:30:00Z",
12 "updatedAt": "2024-01-15T09:30:00Z"
13}
Was this page helpful?
Previous

Delete subscription

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Path parameters

subscriptionIdstringRequired

Response

OK
idstring
statusenum
Allowed values:
endpointUrlstring
eventTypeslist of enums
Allowed values:
filtersobject
createdAtdatetime
updatedAtdatetime